### Constructor

# Aravis GvFakeCamera new

since: 0.8.0

#### Declaration [src]

    ArvGvFakeCamera*
    arv_gv_fake_camera_new (
      const char* interface_name,
      const char* serial_number
    )

#### Description

No description available.

Available since: 0.8.0

#### Parameters

`interface_name`

  Type: `const char*`

  Listening network interface (‘lo’ by default).

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`serial_number`

  Type: `const char*`

  Fake device serial number (‘GV01’ by default).

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ArvGvFakeCamera`

A new `ArvGvFakeCamera`.

The caller of the function takes ownership of the data, and is responsible for freeing it.